#include "fp_utils.h"

void comp_ext_fp_decompose_binary_32(int * RESTRICT sign_negative, comp_fp_class_t * RESTRICT class, 
				       int64_t * RESTRICT exponent, comp_uint32_t * RESTRICT significand, 
				     comp_binary_32_t x) {
  comp_fp_decompose_binary_32(sign_negative, class, exponent, significand, x);
}

void comp_ext_fp_decompose_binary_64(int * RESTRICT sign_negative, comp_fp_class_t * RESTRICT class, 
				       int64_t * RESTRICT exponent, comp_uint64_t * RESTRICT significand, 
				     comp_binary_64_t x) {
  comp_fp_decompose_binary_64(sign_negative, class, exponent, significand, x);
}

void comp_ext_fp_decompose_binary_128(int * RESTRICT sign_negative, comp_fp_class_t * RESTRICT class, 
					int64_t * RESTRICT exponent, comp_uint128_t * RESTRICT significand, 
				      comp_binary_128_t x) {
  comp_fp_decompose_binary_128(sign_negative, class, exponent, significand, x);
}

void comp_ext_fp_decompose_decimal_64(int * RESTRICT sign_negative, comp_fp_class_t * RESTRICT class, 
					int64_t * RESTRICT exponent, comp_uint64_t * RESTRICT significand, 
				      comp_decimal_64_t x) {
  comp_fp_decompose_decimal_64(sign_negative, class, exponent, significand, x);
}

void comp_ext_fp_decompose_decimal_128(int * RESTRICT sign_negative, comp_fp_class_t * RESTRICT class, 
					 int64_t * RESTRICT exponent, comp_uint128_t * RESTRICT significand, 
				       comp_decimal_128_t x) {
    comp_fp_decompose_decimal_128(sign_negative, class, exponent, significand, x);
}

comp_binary_32_t comp_ext_fp_quietize_nan_binary_32(comp_binary_32_t x) {
  return comp_fp_quietize_nan_binary_32(x);
}

comp_binary_64_t comp_ext_fp_quietize_nan_binary_64(comp_binary_64_t x) {
  return comp_fp_quietize_nan_binary_64(x);
}

comp_binary_128_t comp_ext_fp_quietize_nan_binary_128(comp_binary_128_t x) {
  return comp_fp_quietize_nan_binary_128(x);
}

comp_decimal_64_t comp_ext_fp_quietize_nan_decimal_64(comp_decimal_64_t x) {
  return comp_fp_quietize_nan_decimal_64(x);
}

comp_decimal_128_t comp_ext_fp_quietize_nan_decimal_128(comp_decimal_128_t x) {
  return comp_fp_quietize_nan_decimal_128(x);
}

void comp_ext_fp_signal_invalid_binary_32() {
  comp_fp_signal_invalid_binary_32();
}

void comp_ext_fp_signal_invalid_binary_64() {
  comp_fp_signal_invalid_binary_64();
}

void comp_ext_fp_signal_invalid_binary_128()  {
  comp_fp_signal_invalid_binary_128();
}

void comp_ext_fp_signal_invalid_decimal_64()  {
  comp_fp_signal_invalid_decimal_64();
}

void comp_ext_fp_signal_invalid_decimal_128()  {
  comp_fp_signal_invalid_decimal_128();
}

