#include "wide_integers.h"

comp_uint32_t comp_ext_uint32_to_comp_uint32(uint32_t a) {
  return comp_uint32_to_comp_uint32(a);
}

uint32_t comp_ext_uint32_from_comp_uint32(comp_uint32_t a) {
  return comp_uint32_from_comp_uint32(a);
}

comp_uint64_t comp_ext_uint64_to_comp_uint64(uint64_t a) {
  return comp_uint64_to_comp_uint64(a);
}

uint64_t comp_ext_uint64_from_comp_uint64(comp_uint64_t a) {
  return comp_uint64_from_comp_uint64(a);
}

comp_uint128_t comp_ext_uint128_to_comp_uint128(__uint128_t a) {
  return comp_uint128_to_comp_uint128(a);
}

__uint128_t comp_ext_uint128_from_comp_uint128(comp_uint128_t a) {
  return comp_uint128_from_comp_uint128(a);
}

void comp_ext_downconvert_high_64_32(comp_uint32_t * RESTRICT b, comp_uint64_t a) {
  comp_downconvert_high_64_32(b,a);
}


void comp_ext_downconvert_high_96_32(comp_uint32_t * RESTRICT b, comp_uint96_t a) {
  comp_downconvert_high_96_32(b,a);
}


void comp_ext_downconvert_high_128_32(comp_uint32_t * RESTRICT b, comp_uint128_t a) {
  comp_downconvert_high_128_32(b,a);
}


void comp_ext_downconvert_high_160_32(comp_uint32_t * RESTRICT b, comp_uint160_t a) {
  comp_downconvert_high_160_32(b,a);
}


void comp_ext_downconvert_high_192_32(comp_uint32_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_high_192_32(b,a);
}


void comp_ext_downconvert_high_224_32(comp_uint32_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_high_224_32(b,a);
}


void comp_ext_downconvert_high_256_32(comp_uint32_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_high_256_32(b,a);
}


void comp_ext_downconvert_high_288_32(comp_uint32_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_high_288_32(b,a);
}


void comp_ext_downconvert_high_320_32(comp_uint32_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_32(b,a);
}


void comp_ext_downconvert_high_352_32(comp_uint32_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_32(b,a);
}


void comp_ext_downconvert_high_384_32(comp_uint32_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_32(b,a);
}


void comp_ext_downconvert_high_416_32(comp_uint32_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_32(b,a);
}


void comp_ext_downconvert_high_448_32(comp_uint32_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_32(b,a);
}


void comp_ext_downconvert_high_480_32(comp_uint32_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_32(b,a);
}


void comp_ext_downconvert_high_512_32(comp_uint32_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_32(b,a);
}


void comp_ext_downconvert_high_96_64(comp_uint32_t * RESTRICT b, comp_uint96_t a) {
  comp_downconvert_high_96_64(b,a);
}


void comp_ext_downconvert_high_128_64(comp_uint32_t * RESTRICT b, comp_uint128_t a) {
  comp_downconvert_high_128_64(b,a);
}


void comp_ext_downconvert_high_160_64(comp_uint32_t * RESTRICT b, comp_uint160_t a) {
  comp_downconvert_high_160_64(b,a);
}


void comp_ext_downconvert_high_192_64(comp_uint32_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_high_192_64(b,a);
}


void comp_ext_downconvert_high_224_64(comp_uint32_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_high_224_64(b,a);
}


void comp_ext_downconvert_high_256_64(comp_uint32_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_high_256_64(b,a);
}


void comp_ext_downconvert_high_288_64(comp_uint32_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_high_288_64(b,a);
}


void comp_ext_downconvert_high_320_64(comp_uint32_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_64(b,a);
}


void comp_ext_downconvert_high_352_64(comp_uint32_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_64(b,a);
}


void comp_ext_downconvert_high_384_64(comp_uint32_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_64(b,a);
}


void comp_ext_downconvert_high_416_64(comp_uint32_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_64(b,a);
}


void comp_ext_downconvert_high_448_64(comp_uint32_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_64(b,a);
}


void comp_ext_downconvert_high_480_64(comp_uint32_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_64(b,a);
}


void comp_ext_downconvert_high_512_64(comp_uint32_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_64(b,a);
}


void comp_ext_downconvert_high_128_96(comp_uint96_t * RESTRICT b, comp_uint128_t a) {
  comp_downconvert_high_128_96(b,a);
}


void comp_ext_downconvert_high_160_96(comp_uint96_t * RESTRICT b, comp_uint160_t a) {
  comp_downconvert_high_160_96(b,a);
}


void comp_ext_downconvert_high_160_128(comp_uint128_t * RESTRICT b, comp_uint160_t a) {
  comp_downconvert_high_160_128(b,a);
}


void comp_ext_downconvert_high_192_96(comp_uint96_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_high_192_96(b,a);
}


void comp_ext_downconvert_high_192_128(comp_uint128_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_high_192_128(b,a);
}


void comp_ext_downconvert_high_192_160(comp_uint160_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_high_192_160(b,a);
}


void comp_ext_downconvert_high_224_96(comp_uint96_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_high_224_96(b,a);
}


void comp_ext_downconvert_high_224_128(comp_uint128_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_high_224_128(b,a);
}


void comp_ext_downconvert_high_224_160(comp_uint160_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_high_224_160(b,a);
}


void comp_ext_downconvert_high_224_192(comp_uint192_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_high_224_192(b,a);
}


void comp_ext_downconvert_high_256_96(comp_uint96_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_high_256_96(b,a);
}


void comp_ext_downconvert_high_256_128(comp_uint128_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_high_256_128(b,a);
}


void comp_ext_downconvert_high_256_160(comp_uint160_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_high_256_160(b,a);
}


void comp_ext_downconvert_high_256_192(comp_uint192_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_high_256_192(b,a);
}


void comp_ext_downconvert_high_256_224(comp_uint224_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_high_256_224(b,a);
}


void comp_ext_downconvert_high_288_96(comp_uint96_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_high_288_96(b,a);
}


void comp_ext_downconvert_high_288_128(comp_uint128_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_high_288_128(b,a);
}


void comp_ext_downconvert_high_288_160(comp_uint160_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_high_288_160(b,a);
}


void comp_ext_downconvert_high_288_192(comp_uint192_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_high_288_192(b,a);
}


void comp_ext_downconvert_high_288_224(comp_uint224_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_high_288_224(b,a);
}


void comp_ext_downconvert_high_288_256(comp_uint256_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_high_288_256(b,a);
}


void comp_ext_downconvert_high_320_96(comp_uint96_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_96(b,a);
}


void comp_ext_downconvert_high_320_128(comp_uint128_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_128(b,a);
}


void comp_ext_downconvert_high_320_160(comp_uint160_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_160(b,a);
}


void comp_ext_downconvert_high_320_192(comp_uint192_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_192(b,a);
}


void comp_ext_downconvert_high_320_224(comp_uint224_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_224(b,a);
}


void comp_ext_downconvert_high_320_256(comp_uint256_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_256(b,a);
}


void comp_ext_downconvert_high_320_288(comp_uint288_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_high_320_288(b,a);
}


void comp_ext_downconvert_high_352_96(comp_uint96_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_96(b,a);
}


void comp_ext_downconvert_high_352_128(comp_uint128_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_128(b,a);
}


void comp_ext_downconvert_high_352_160(comp_uint160_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_160(b,a);
}


void comp_ext_downconvert_high_352_192(comp_uint192_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_192(b,a);
}


void comp_ext_downconvert_high_352_224(comp_uint224_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_224(b,a);
}


void comp_ext_downconvert_high_352_256(comp_uint256_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_256(b,a);
}


void comp_ext_downconvert_high_352_288(comp_uint288_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_288(b,a);
}


void comp_ext_downconvert_high_352_320(comp_uint320_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_high_352_320(b,a);
}


void comp_ext_downconvert_high_384_96(comp_uint96_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_96(b,a);
}


void comp_ext_downconvert_high_384_128(comp_uint128_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_128(b,a);
}


void comp_ext_downconvert_high_384_160(comp_uint160_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_160(b,a);
}


void comp_ext_downconvert_high_384_192(comp_uint192_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_192(b,a);
}


void comp_ext_downconvert_high_384_224(comp_uint224_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_224(b,a);
}


void comp_ext_downconvert_high_384_256(comp_uint256_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_256(b,a);
}


void comp_ext_downconvert_high_384_288(comp_uint288_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_288(b,a);
}


void comp_ext_downconvert_high_384_320(comp_uint320_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_320(b,a);
}


void comp_ext_downconvert_high_384_352(comp_uint352_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_high_384_352(b,a);
}


void comp_ext_downconvert_high_416_96(comp_uint96_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_96(b,a);
}


void comp_ext_downconvert_high_416_128(comp_uint128_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_128(b,a);
}


void comp_ext_downconvert_high_416_160(comp_uint160_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_160(b,a);
}


void comp_ext_downconvert_high_416_192(comp_uint192_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_192(b,a);
}


void comp_ext_downconvert_high_416_224(comp_uint224_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_224(b,a);
}


void comp_ext_downconvert_high_416_256(comp_uint256_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_256(b,a);
}


void comp_ext_downconvert_high_416_288(comp_uint288_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_288(b,a);
}


void comp_ext_downconvert_high_416_320(comp_uint320_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_320(b,a);
}


void comp_ext_downconvert_high_416_352(comp_uint352_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_352(b,a);
}


void comp_ext_downconvert_high_416_384(comp_uint384_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_high_416_384(b,a);
}


void comp_ext_downconvert_high_448_96(comp_uint96_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_96(b,a);
}


void comp_ext_downconvert_high_448_128(comp_uint128_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_128(b,a);
}


void comp_ext_downconvert_high_448_160(comp_uint160_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_160(b,a);
}


void comp_ext_downconvert_high_448_192(comp_uint192_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_192(b,a);
}


void comp_ext_downconvert_high_448_224(comp_uint224_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_224(b,a);
}


void comp_ext_downconvert_high_448_256(comp_uint256_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_256(b,a);
}


void comp_ext_downconvert_high_448_288(comp_uint288_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_288(b,a);
}


void comp_ext_downconvert_high_448_320(comp_uint320_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_320(b,a);
}


void comp_ext_downconvert_high_448_352(comp_uint352_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_352(b,a);
}


void comp_ext_downconvert_high_448_384(comp_uint384_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_384(b,a);
}


void comp_ext_downconvert_high_448_416(comp_uint416_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_high_448_416(b,a);
}


void comp_ext_downconvert_high_480_96(comp_uint96_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_96(b,a);
}


void comp_ext_downconvert_high_480_128(comp_uint128_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_128(b,a);
}


void comp_ext_downconvert_high_480_160(comp_uint160_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_160(b,a);
}


void comp_ext_downconvert_high_480_192(comp_uint192_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_192(b,a);
}


void comp_ext_downconvert_high_480_224(comp_uint224_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_224(b,a);
}


void comp_ext_downconvert_high_480_256(comp_uint256_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_256(b,a);
}


void comp_ext_downconvert_high_480_288(comp_uint288_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_288(b,a);
}


void comp_ext_downconvert_high_480_320(comp_uint320_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_320(b,a);
}


void comp_ext_downconvert_high_480_352(comp_uint352_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_352(b,a);
}


void comp_ext_downconvert_high_480_384(comp_uint384_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_384(b,a);
}


void comp_ext_downconvert_high_480_416(comp_uint416_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_416(b,a);
}


void comp_ext_downconvert_high_480_448(comp_uint448_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_high_480_448(b,a);
}


void comp_ext_downconvert_high_512_96(comp_uint96_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_96(b,a);
}


void comp_ext_downconvert_high_512_128(comp_uint128_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_128(b,a);
}


void comp_ext_downconvert_high_512_160(comp_uint160_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_160(b,a);
}


void comp_ext_downconvert_high_512_192(comp_uint192_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_192(b,a);
}


void comp_ext_downconvert_high_512_224(comp_uint224_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_224(b,a);
}


void comp_ext_downconvert_high_512_256(comp_uint256_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_256(b,a);
}


void comp_ext_downconvert_high_512_288(comp_uint288_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_288(b,a);
}


void comp_ext_downconvert_high_512_320(comp_uint320_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_320(b,a);
}


void comp_ext_downconvert_high_512_352(comp_uint352_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_352(b,a);
}


void comp_ext_downconvert_high_512_384(comp_uint384_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_384(b,a);
}


void comp_ext_downconvert_high_512_416(comp_uint416_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_416(b,a);
}


void comp_ext_downconvert_high_512_448(comp_uint448_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_448(b,a);
}


void comp_ext_downconvert_high_512_480(comp_uint480_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_high_512_480(b,a);
}


void comp_ext_downconvert_low_64_32(comp_uint32_t * RESTRICT b, comp_uint64_t a) {
  comp_downconvert_low_64_32(b,a);
}


void comp_ext_downconvert_low_96_32(comp_uint32_t * RESTRICT b, comp_uint96_t a) {
  comp_downconvert_low_96_32(b,a);
}


void comp_ext_downconvert_low_128_32(comp_uint32_t * RESTRICT b, comp_uint128_t a) {
  comp_downconvert_low_128_32(b,a);
}


void comp_ext_downconvert_low_160_32(comp_uint32_t * RESTRICT b, comp_uint160_t a) {
  comp_downconvert_low_160_32(b,a);
}


void comp_ext_downconvert_low_192_32(comp_uint32_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_low_192_32(b,a);
}


void comp_ext_downconvert_low_224_32(comp_uint32_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_low_224_32(b,a);
}


void comp_ext_downconvert_low_256_32(comp_uint32_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_low_256_32(b,a);
}


void comp_ext_downconvert_low_288_32(comp_uint32_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_low_288_32(b,a);
}


void comp_ext_downconvert_low_320_32(comp_uint32_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_32(b,a);
}


void comp_ext_downconvert_low_352_32(comp_uint32_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_32(b,a);
}


void comp_ext_downconvert_low_384_32(comp_uint32_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_32(b,a);
}


void comp_ext_downconvert_low_416_32(comp_uint32_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_32(b,a);
}


void comp_ext_downconvert_low_448_32(comp_uint32_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_32(b,a);
}


void comp_ext_downconvert_low_480_32(comp_uint32_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_32(b,a);
}


void comp_ext_downconvert_low_512_32(comp_uint32_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_32(b,a);
}


void comp_ext_downconvert_low_96_64(comp_uint64_t * RESTRICT b, comp_uint96_t a) {
  comp_downconvert_low_96_64(b,a);
}


void comp_ext_downconvert_low_128_64(comp_uint64_t * RESTRICT b, comp_uint128_t a) {
  comp_downconvert_low_128_64(b,a);
}


void comp_ext_downconvert_low_160_64(comp_uint64_t * RESTRICT b, comp_uint160_t a) {
  comp_downconvert_low_160_64(b,a);
}


void comp_ext_downconvert_low_192_64(comp_uint64_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_low_192_64(b,a);
}


void comp_ext_downconvert_low_224_64(comp_uint64_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_low_224_64(b,a);
}


void comp_ext_downconvert_low_256_64(comp_uint64_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_low_256_64(b,a);
}


void comp_ext_downconvert_low_288_64(comp_uint64_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_low_288_64(b,a);
}


void comp_ext_downconvert_low_320_64(comp_uint64_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_64(b,a);
}


void comp_ext_downconvert_low_352_64(comp_uint64_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_64(b,a);
}


void comp_ext_downconvert_low_384_64(comp_uint64_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_64(b,a);
}


void comp_ext_downconvert_low_416_64(comp_uint64_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_64(b,a);
}


void comp_ext_downconvert_low_448_64(comp_uint64_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_64(b,a);
}


void comp_ext_downconvert_low_480_64(comp_uint64_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_64(b,a);
}


void comp_ext_downconvert_low_512_64(comp_uint64_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_64(b,a);
}


void comp_ext_downconvert_low_128_96(comp_uint96_t * RESTRICT b, comp_uint128_t a) {
  comp_downconvert_low_128_96(b,a);
}


void comp_ext_downconvert_low_160_96(comp_uint96_t * RESTRICT b, comp_uint160_t a) {
  comp_downconvert_low_160_96(b,a);
}


void comp_ext_downconvert_low_160_128(comp_uint128_t * RESTRICT b, comp_uint160_t a) {
  comp_downconvert_low_160_128(b,a);
}


void comp_ext_downconvert_low_192_96(comp_uint96_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_low_192_96(b,a);
}


void comp_ext_downconvert_low_192_128(comp_uint128_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_low_192_128(b,a);
}


void comp_ext_downconvert_low_192_160(comp_uint160_t * RESTRICT b, comp_uint192_t a) {
  comp_downconvert_low_192_160(b,a);
}


void comp_ext_downconvert_low_224_96(comp_uint96_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_low_224_96(b,a);
}


void comp_ext_downconvert_low_224_128(comp_uint128_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_low_224_128(b,a);
}


void comp_ext_downconvert_low_224_160(comp_uint160_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_low_224_160(b,a);
}


void comp_ext_downconvert_low_224_192(comp_uint192_t * RESTRICT b, comp_uint224_t a) {
  comp_downconvert_low_224_192(b,a);
}


void comp_ext_downconvert_low_256_96(comp_uint96_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_low_256_96(b,a);
}


void comp_ext_downconvert_low_256_128(comp_uint128_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_low_256_128(b,a);
}


void comp_ext_downconvert_low_256_160(comp_uint160_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_low_256_160(b,a);
}


void comp_ext_downconvert_low_256_192(comp_uint192_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_low_256_192(b,a);
}


void comp_ext_downconvert_low_256_224(comp_uint224_t * RESTRICT b, comp_uint256_t a) {
  comp_downconvert_low_256_224(b,a);
}


void comp_ext_downconvert_low_288_96(comp_uint96_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_low_288_96(b,a);
}


void comp_ext_downconvert_low_288_128(comp_uint128_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_low_288_128(b,a);
}


void comp_ext_downconvert_low_288_160(comp_uint160_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_low_288_160(b,a);
}


void comp_ext_downconvert_low_288_192(comp_uint192_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_low_288_192(b,a);
}


void comp_ext_downconvert_low_288_224(comp_uint224_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_low_288_224(b,a);
}


void comp_ext_downconvert_low_288_256(comp_uint256_t * RESTRICT b, comp_uint288_t a) {
  comp_downconvert_low_288_256(b,a);
}


void comp_ext_downconvert_low_320_96(comp_uint96_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_96(b,a);
}


void comp_ext_downconvert_low_320_128(comp_uint128_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_128(b,a);
}


void comp_ext_downconvert_low_320_160(comp_uint160_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_160(b,a);
}


void comp_ext_downconvert_low_320_192(comp_uint192_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_192(b,a);
}


void comp_ext_downconvert_low_320_224(comp_uint224_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_224(b,a);
}


void comp_ext_downconvert_low_320_256(comp_uint256_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_256(b,a);
}


void comp_ext_downconvert_low_320_288(comp_uint288_t * RESTRICT b, comp_uint320_t a) {
  comp_downconvert_low_320_288(b,a);
}


void comp_ext_downconvert_low_352_96(comp_uint96_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_96(b,a);
}


void comp_ext_downconvert_low_352_128(comp_uint128_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_128(b,a);
}


void comp_ext_downconvert_low_352_160(comp_uint160_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_160(b,a);
}


void comp_ext_downconvert_low_352_192(comp_uint192_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_192(b,a);
}


void comp_ext_downconvert_low_352_224(comp_uint224_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_224(b,a);
}


void comp_ext_downconvert_low_352_256(comp_uint256_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_256(b,a);
}


void comp_ext_downconvert_low_352_288(comp_uint288_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_288(b,a);
}


void comp_ext_downconvert_low_352_320(comp_uint320_t * RESTRICT b, comp_uint352_t a) {
  comp_downconvert_low_352_320(b,a);
}


void comp_ext_downconvert_low_384_96(comp_uint96_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_96(b,a);
}


void comp_ext_downconvert_low_384_128(comp_uint128_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_128(b,a);
}


void comp_ext_downconvert_low_384_160(comp_uint160_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_160(b,a);
}


void comp_ext_downconvert_low_384_192(comp_uint192_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_192(b,a);
}


void comp_ext_downconvert_low_384_224(comp_uint224_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_224(b,a);
}


void comp_ext_downconvert_low_384_256(comp_uint256_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_256(b,a);
}


void comp_ext_downconvert_low_384_288(comp_uint288_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_288(b,a);
}


void comp_ext_downconvert_low_384_320(comp_uint320_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_320(b,a);
}


void comp_ext_downconvert_low_384_352(comp_uint352_t * RESTRICT b, comp_uint384_t a) {
  comp_downconvert_low_384_352(b,a);
}


void comp_ext_downconvert_low_416_96(comp_uint96_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_96(b,a);
}


void comp_ext_downconvert_low_416_128(comp_uint128_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_128(b,a);
}


void comp_ext_downconvert_low_416_160(comp_uint160_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_160(b,a);
}


void comp_ext_downconvert_low_416_192(comp_uint192_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_192(b,a);
}


void comp_ext_downconvert_low_416_224(comp_uint224_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_224(b,a);
}


void comp_ext_downconvert_low_416_256(comp_uint256_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_256(b,a);
}


void comp_ext_downconvert_low_416_288(comp_uint288_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_288(b,a);
}


void comp_ext_downconvert_low_416_320(comp_uint320_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_320(b,a);
}


void comp_ext_downconvert_low_416_352(comp_uint352_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_352(b,a);
}


void comp_ext_downconvert_low_416_384(comp_uint384_t * RESTRICT b, comp_uint416_t a) {
  comp_downconvert_low_416_384(b,a);
}


void comp_ext_downconvert_low_448_96(comp_uint96_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_96(b,a);
}


void comp_ext_downconvert_low_448_128(comp_uint128_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_128(b,a);
}


void comp_ext_downconvert_low_448_160(comp_uint160_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_160(b,a);
}


void comp_ext_downconvert_low_448_192(comp_uint192_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_192(b,a);
}


void comp_ext_downconvert_low_448_224(comp_uint224_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_224(b,a);
}


void comp_ext_downconvert_low_448_256(comp_uint256_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_256(b,a);
}


void comp_ext_downconvert_low_448_288(comp_uint288_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_288(b,a);
}


void comp_ext_downconvert_low_448_320(comp_uint320_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_320(b,a);
}


void comp_ext_downconvert_low_448_352(comp_uint352_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_352(b,a);
}


void comp_ext_downconvert_low_448_384(comp_uint384_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_384(b,a);
}


void comp_ext_downconvert_low_448_416(comp_uint416_t * RESTRICT b, comp_uint448_t a) {
  comp_downconvert_low_448_416(b,a);
}


void comp_ext_downconvert_low_480_96(comp_uint96_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_96(b,a);
}


void comp_ext_downconvert_low_480_128(comp_uint128_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_128(b,a);
}


void comp_ext_downconvert_low_480_160(comp_uint160_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_160(b,a);
}


void comp_ext_downconvert_low_480_192(comp_uint192_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_192(b,a);
}


void comp_ext_downconvert_low_480_224(comp_uint224_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_224(b,a);
}


void comp_ext_downconvert_low_480_256(comp_uint256_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_256(b,a);
}


void comp_ext_downconvert_low_480_288(comp_uint288_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_288(b,a);
}


void comp_ext_downconvert_low_480_320(comp_uint320_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_320(b,a);
}


void comp_ext_downconvert_low_480_352(comp_uint352_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_352(b,a);
}


void comp_ext_downconvert_low_480_384(comp_uint384_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_384(b,a);
}


void comp_ext_downconvert_low_480_416(comp_uint416_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_416(b,a);
}


void comp_ext_downconvert_low_480_448(comp_uint448_t * RESTRICT b, comp_uint480_t a) {
  comp_downconvert_low_480_448(b,a);
}


void comp_ext_downconvert_low_512_96(comp_uint96_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_96(b,a);
}


void comp_ext_downconvert_low_512_128(comp_uint128_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_128(b,a);
}


void comp_ext_downconvert_low_512_160(comp_uint160_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_160(b,a);
}


void comp_ext_downconvert_low_512_192(comp_uint192_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_192(b,a);
}


void comp_ext_downconvert_low_512_224(comp_uint224_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_224(b,a);
}


void comp_ext_downconvert_low_512_256(comp_uint256_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_256(b,a);
}


void comp_ext_downconvert_low_512_288(comp_uint288_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_288(b,a);
}


void comp_ext_downconvert_low_512_320(comp_uint320_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_320(b,a);
}


void comp_ext_downconvert_low_512_352(comp_uint352_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_352(b,a);
}


void comp_ext_downconvert_low_512_384(comp_uint384_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_384(b,a);
}


void comp_ext_downconvert_low_512_416(comp_uint416_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_416(b,a);
}


void comp_ext_downconvert_low_512_448(comp_uint448_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_448(b,a);
}


void comp_ext_downconvert_low_512_480(comp_uint480_t * RESTRICT b, comp_uint512_t a) {
  comp_downconvert_low_512_480(b,a);
}


void comp_ext_upconvert_high_32_64(comp_uint64_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_64(b,a);
}


void comp_ext_upconvert_high_32_96(comp_uint96_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_96(b,a);
}


void comp_ext_upconvert_high_32_128(comp_uint128_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_128(b,a);
}


void comp_ext_upconvert_high_32_160(comp_uint160_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_160(b,a);
}


void comp_ext_upconvert_high_32_192(comp_uint192_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_192(b,a);
}


void comp_ext_upconvert_high_32_224(comp_uint224_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_224(b,a);
}


void comp_ext_upconvert_high_32_256(comp_uint256_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_256(b,a);
}


void comp_ext_upconvert_high_32_288(comp_uint288_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_288(b,a);
}


void comp_ext_upconvert_high_32_320(comp_uint320_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_320(b,a);
}


void comp_ext_upconvert_high_32_352(comp_uint352_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_352(b,a);
}


void comp_ext_upconvert_high_32_384(comp_uint384_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_384(b,a);
}


void comp_ext_upconvert_high_32_416(comp_uint416_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_416(b,a);
}


void comp_ext_upconvert_high_32_448(comp_uint448_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_448(b,a);
}


void comp_ext_upconvert_high_32_480(comp_uint480_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_480(b,a);
}


void comp_ext_upconvert_high_32_512(comp_uint512_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_high_32_512(b,a);
}


void comp_ext_upconvert_high_64_96(comp_uint96_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_96(b,a);
}


void comp_ext_upconvert_high_64_128(comp_uint128_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_128(b,a);
}


void comp_ext_upconvert_high_64_160(comp_uint160_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_160(b,a);
}


void comp_ext_upconvert_high_64_192(comp_uint192_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_192(b,a);
}


void comp_ext_upconvert_high_64_224(comp_uint224_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_224(b,a);
}


void comp_ext_upconvert_high_64_256(comp_uint256_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_256(b,a);
}


void comp_ext_upconvert_high_64_288(comp_uint288_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_288(b,a);
}


void comp_ext_upconvert_high_64_320(comp_uint320_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_320(b,a);
}


void comp_ext_upconvert_high_64_352(comp_uint352_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_352(b,a);
}


void comp_ext_upconvert_high_64_384(comp_uint384_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_384(b,a);
}


void comp_ext_upconvert_high_64_416(comp_uint416_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_416(b,a);
}


void comp_ext_upconvert_high_64_448(comp_uint448_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_448(b,a);
}


void comp_ext_upconvert_high_64_480(comp_uint480_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_480(b,a);
}


void comp_ext_upconvert_high_64_512(comp_uint512_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_high_64_512(b,a);
}


void comp_ext_upconvert_high_96_128(comp_uint128_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_128(b,a);
}


void comp_ext_upconvert_high_96_160(comp_uint160_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_160(b,a);
}


void comp_ext_upconvert_high_96_192(comp_uint192_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_192(b,a);
}


void comp_ext_upconvert_high_96_224(comp_uint224_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_224(b,a);
}


void comp_ext_upconvert_high_96_256(comp_uint256_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_256(b,a);
}


void comp_ext_upconvert_high_96_288(comp_uint288_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_288(b,a);
}


void comp_ext_upconvert_high_96_320(comp_uint320_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_320(b,a);
}


void comp_ext_upconvert_high_96_352(comp_uint352_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_352(b,a);
}


void comp_ext_upconvert_high_96_384(comp_uint384_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_384(b,a);
}


void comp_ext_upconvert_high_96_416(comp_uint416_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_416(b,a);
}


void comp_ext_upconvert_high_96_448(comp_uint448_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_448(b,a);
}


void comp_ext_upconvert_high_96_480(comp_uint480_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_480(b,a);
}


void comp_ext_upconvert_high_96_512(comp_uint512_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_high_96_512(b,a);
}


void comp_ext_upconvert_high_128_160(comp_uint160_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_160(b,a);
}


void comp_ext_upconvert_high_128_192(comp_uint192_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_192(b,a);
}


void comp_ext_upconvert_high_128_224(comp_uint224_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_224(b,a);
}


void comp_ext_upconvert_high_128_256(comp_uint256_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_256(b,a);
}


void comp_ext_upconvert_high_128_288(comp_uint288_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_288(b,a);
}


void comp_ext_upconvert_high_128_320(comp_uint320_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_320(b,a);
}


void comp_ext_upconvert_high_128_352(comp_uint352_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_352(b,a);
}


void comp_ext_upconvert_high_128_384(comp_uint384_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_384(b,a);
}


void comp_ext_upconvert_high_128_416(comp_uint416_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_416(b,a);
}


void comp_ext_upconvert_high_128_448(comp_uint448_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_448(b,a);
}


void comp_ext_upconvert_high_128_480(comp_uint480_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_480(b,a);
}


void comp_ext_upconvert_high_128_512(comp_uint512_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_high_128_512(b,a);
}


void comp_ext_upconvert_high_160_192(comp_uint192_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_192(b,a);
}


void comp_ext_upconvert_high_160_224(comp_uint224_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_224(b,a);
}


void comp_ext_upconvert_high_160_256(comp_uint256_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_256(b,a);
}


void comp_ext_upconvert_high_160_288(comp_uint288_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_288(b,a);
}


void comp_ext_upconvert_high_160_320(comp_uint320_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_320(b,a);
}


void comp_ext_upconvert_high_160_352(comp_uint352_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_352(b,a);
}


void comp_ext_upconvert_high_160_384(comp_uint384_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_384(b,a);
}


void comp_ext_upconvert_high_160_416(comp_uint416_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_416(b,a);
}


void comp_ext_upconvert_high_160_448(comp_uint448_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_448(b,a);
}


void comp_ext_upconvert_high_160_480(comp_uint480_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_480(b,a);
}


void comp_ext_upconvert_high_160_512(comp_uint512_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_high_160_512(b,a);
}


void comp_ext_upconvert_high_192_224(comp_uint224_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_224(b,a);
}


void comp_ext_upconvert_high_192_256(comp_uint256_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_256(b,a);
}


void comp_ext_upconvert_high_192_288(comp_uint288_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_288(b,a);
}


void comp_ext_upconvert_high_192_320(comp_uint320_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_320(b,a);
}


void comp_ext_upconvert_high_192_352(comp_uint352_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_352(b,a);
}


void comp_ext_upconvert_high_192_384(comp_uint384_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_384(b,a);
}


void comp_ext_upconvert_high_192_416(comp_uint416_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_416(b,a);
}


void comp_ext_upconvert_high_192_448(comp_uint448_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_448(b,a);
}


void comp_ext_upconvert_high_192_480(comp_uint480_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_480(b,a);
}


void comp_ext_upconvert_high_192_512(comp_uint512_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_high_192_512(b,a);
}


void comp_ext_upconvert_high_224_256(comp_uint256_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_256(b,a);
}


void comp_ext_upconvert_high_224_288(comp_uint288_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_288(b,a);
}


void comp_ext_upconvert_high_224_320(comp_uint320_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_320(b,a);
}


void comp_ext_upconvert_high_224_352(comp_uint352_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_352(b,a);
}


void comp_ext_upconvert_high_224_384(comp_uint384_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_384(b,a);
}


void comp_ext_upconvert_high_224_416(comp_uint416_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_416(b,a);
}


void comp_ext_upconvert_high_224_448(comp_uint448_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_448(b,a);
}


void comp_ext_upconvert_high_224_480(comp_uint480_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_480(b,a);
}


void comp_ext_upconvert_high_224_512(comp_uint512_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_high_224_512(b,a);
}


void comp_ext_upconvert_high_256_288(comp_uint288_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_high_256_288(b,a);
}


void comp_ext_upconvert_high_256_320(comp_uint320_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_high_256_320(b,a);
}


void comp_ext_upconvert_high_256_352(comp_uint352_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_high_256_352(b,a);
}


void comp_ext_upconvert_high_256_384(comp_uint384_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_high_256_384(b,a);
}


void comp_ext_upconvert_high_256_416(comp_uint416_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_high_256_416(b,a);
}


void comp_ext_upconvert_high_256_448(comp_uint448_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_high_256_448(b,a);
}


void comp_ext_upconvert_high_256_480(comp_uint480_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_high_256_480(b,a);
}


void comp_ext_upconvert_high_256_512(comp_uint512_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_high_256_512(b,a);
}


void comp_ext_upconvert_high_288_320(comp_uint320_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_high_288_320(b,a);
}


void comp_ext_upconvert_high_288_352(comp_uint352_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_high_288_352(b,a);
}


void comp_ext_upconvert_high_288_384(comp_uint384_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_high_288_384(b,a);
}


void comp_ext_upconvert_high_288_416(comp_uint416_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_high_288_416(b,a);
}


void comp_ext_upconvert_high_288_448(comp_uint448_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_high_288_448(b,a);
}


void comp_ext_upconvert_high_288_480(comp_uint480_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_high_288_480(b,a);
}


void comp_ext_upconvert_high_288_512(comp_uint512_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_high_288_512(b,a);
}


void comp_ext_upconvert_high_320_352(comp_uint352_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_high_320_352(b,a);
}


void comp_ext_upconvert_high_320_384(comp_uint384_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_high_320_384(b,a);
}


void comp_ext_upconvert_high_320_416(comp_uint416_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_high_320_416(b,a);
}


void comp_ext_upconvert_high_320_448(comp_uint448_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_high_320_448(b,a);
}


void comp_ext_upconvert_high_320_480(comp_uint480_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_high_320_480(b,a);
}


void comp_ext_upconvert_high_320_512(comp_uint512_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_high_320_512(b,a);
}


void comp_ext_upconvert_high_352_384(comp_uint384_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_high_352_384(b,a);
}


void comp_ext_upconvert_high_352_416(comp_uint416_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_high_352_416(b,a);
}


void comp_ext_upconvert_high_352_448(comp_uint448_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_high_352_448(b,a);
}


void comp_ext_upconvert_high_352_480(comp_uint480_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_high_352_480(b,a);
}


void comp_ext_upconvert_high_352_512(comp_uint512_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_high_352_512(b,a);
}


void comp_ext_upconvert_high_384_416(comp_uint416_t * RESTRICT b, comp_uint384_t a) {
  comp_upconvert_high_384_416(b,a);
}


void comp_ext_upconvert_high_384_448(comp_uint448_t * RESTRICT b, comp_uint384_t a) {
  comp_upconvert_high_384_448(b,a);
}


void comp_ext_upconvert_high_384_480(comp_uint480_t * RESTRICT b, comp_uint384_t a) {
  comp_upconvert_high_384_480(b,a);
}


void comp_ext_upconvert_high_384_512(comp_uint512_t * RESTRICT b, comp_uint384_t a) {
  comp_upconvert_high_384_512(b,a);
}


void comp_ext_upconvert_high_416_448(comp_uint448_t * RESTRICT b, comp_uint416_t a) {
  comp_upconvert_high_416_448(b,a);
}


void comp_ext_upconvert_high_416_480(comp_uint480_t * RESTRICT b, comp_uint416_t a) {
  comp_upconvert_high_416_480(b,a);
}


void comp_ext_upconvert_high_416_512(comp_uint512_t * RESTRICT b, comp_uint416_t a) {
  comp_upconvert_high_416_512(b,a);
}


void comp_ext_upconvert_high_448_480(comp_uint480_t * RESTRICT b, comp_uint448_t a) {
  comp_upconvert_high_448_480(b,a);
}


void comp_ext_upconvert_high_448_512(comp_uint512_t * RESTRICT b, comp_uint448_t a) {
  comp_upconvert_high_448_512(b,a);
}


void comp_ext_upconvert_high_480_512(comp_uint512_t * RESTRICT b, comp_uint480_t a) {
  comp_upconvert_high_480_512(b,a);
}


void comp_ext_upconvert_low_32_64(comp_uint64_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_64(b,a);
}


void comp_ext_upconvert_low_32_96(comp_uint96_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_96(b,a);
}


void comp_ext_upconvert_low_32_128(comp_uint128_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_128(b,a);
}


void comp_ext_upconvert_low_32_160(comp_uint160_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_160(b,a);
}


void comp_ext_upconvert_low_32_192(comp_uint192_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_192(b,a);
}


void comp_ext_upconvert_low_32_224(comp_uint224_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_224(b,a);
}


void comp_ext_upconvert_low_32_256(comp_uint256_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_256(b,a);
}


void comp_ext_upconvert_low_32_288(comp_uint288_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_288(b,a);
}


void comp_ext_upconvert_low_32_320(comp_uint320_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_320(b,a);
}


void comp_ext_upconvert_low_32_352(comp_uint352_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_352(b,a);
}


void comp_ext_upconvert_low_32_384(comp_uint384_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_384(b,a);
}


void comp_ext_upconvert_low_32_416(comp_uint416_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_416(b,a);
}


void comp_ext_upconvert_low_32_448(comp_uint448_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_448(b,a);
}


void comp_ext_upconvert_low_32_480(comp_uint480_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_480(b,a);
}


void comp_ext_upconvert_low_32_512(comp_uint512_t * RESTRICT b, comp_uint32_t a) {
  comp_upconvert_low_32_512(b,a);
}


void comp_ext_upconvert_low_64_96(comp_uint96_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_96(b,a);
}


void comp_ext_upconvert_low_64_128(comp_uint128_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_128(b,a);
}


void comp_ext_upconvert_low_64_160(comp_uint160_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_160(b,a);
}


void comp_ext_upconvert_low_64_192(comp_uint192_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_192(b,a);
}


void comp_ext_upconvert_low_64_224(comp_uint224_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_224(b,a);
}


void comp_ext_upconvert_low_64_256(comp_uint256_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_256(b,a);
}


void comp_ext_upconvert_low_64_288(comp_uint288_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_288(b,a);
}


void comp_ext_upconvert_low_64_320(comp_uint320_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_320(b,a);
}


void comp_ext_upconvert_low_64_352(comp_uint352_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_352(b,a);
}


void comp_ext_upconvert_low_64_384(comp_uint384_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_384(b,a);
}


void comp_ext_upconvert_low_64_416(comp_uint416_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_416(b,a);
}


void comp_ext_upconvert_low_64_448(comp_uint448_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_448(b,a);
}


void comp_ext_upconvert_low_64_480(comp_uint480_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_480(b,a);
}


void comp_ext_upconvert_low_64_512(comp_uint512_t * RESTRICT b, comp_uint64_t a) {
  comp_upconvert_low_64_512(b,a);
}


void comp_ext_upconvert_low_96_128(comp_uint128_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_128(b,a);
}


void comp_ext_upconvert_low_96_160(comp_uint160_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_160(b,a);
}


void comp_ext_upconvert_low_96_192(comp_uint192_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_192(b,a);
}


void comp_ext_upconvert_low_96_224(comp_uint224_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_224(b,a);
}


void comp_ext_upconvert_low_96_256(comp_uint256_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_256(b,a);
}


void comp_ext_upconvert_low_96_288(comp_uint288_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_288(b,a);
}


void comp_ext_upconvert_low_96_320(comp_uint320_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_320(b,a);
}


void comp_ext_upconvert_low_96_352(comp_uint352_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_352(b,a);
}


void comp_ext_upconvert_low_96_384(comp_uint384_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_384(b,a);
}


void comp_ext_upconvert_low_96_416(comp_uint416_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_416(b,a);
}


void comp_ext_upconvert_low_96_448(comp_uint448_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_448(b,a);
}


void comp_ext_upconvert_low_96_480(comp_uint480_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_480(b,a);
}


void comp_ext_upconvert_low_96_512(comp_uint512_t * RESTRICT b, comp_uint96_t a) {
  comp_upconvert_low_96_512(b,a);
}


void comp_ext_upconvert_low_128_160(comp_uint160_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_160(b,a);
}


void comp_ext_upconvert_low_128_192(comp_uint192_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_192(b,a);
}


void comp_ext_upconvert_low_128_224(comp_uint224_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_224(b,a);
}


void comp_ext_upconvert_low_128_256(comp_uint256_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_256(b,a);
}


void comp_ext_upconvert_low_128_288(comp_uint288_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_288(b,a);
}


void comp_ext_upconvert_low_128_320(comp_uint320_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_320(b,a);
}


void comp_ext_upconvert_low_128_352(comp_uint352_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_352(b,a);
}


void comp_ext_upconvert_low_128_384(comp_uint384_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_384(b,a);
}


void comp_ext_upconvert_low_128_416(comp_uint416_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_416(b,a);
}


void comp_ext_upconvert_low_128_448(comp_uint448_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_448(b,a);
}


void comp_ext_upconvert_low_128_480(comp_uint480_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_480(b,a);
}


void comp_ext_upconvert_low_128_512(comp_uint512_t * RESTRICT b, comp_uint128_t a) {
  comp_upconvert_low_128_512(b,a);
}


void comp_ext_upconvert_low_160_192(comp_uint192_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_192(b,a);
}


void comp_ext_upconvert_low_160_224(comp_uint224_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_224(b,a);
}


void comp_ext_upconvert_low_160_256(comp_uint256_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_256(b,a);
}


void comp_ext_upconvert_low_160_288(comp_uint288_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_288(b,a);
}


void comp_ext_upconvert_low_160_320(comp_uint320_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_320(b,a);
}


void comp_ext_upconvert_low_160_352(comp_uint352_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_352(b,a);
}


void comp_ext_upconvert_low_160_384(comp_uint384_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_384(b,a);
}


void comp_ext_upconvert_low_160_416(comp_uint416_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_416(b,a);
}


void comp_ext_upconvert_low_160_448(comp_uint448_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_448(b,a);
}


void comp_ext_upconvert_low_160_480(comp_uint480_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_480(b,a);
}


void comp_ext_upconvert_low_160_512(comp_uint512_t * RESTRICT b, comp_uint160_t a) {
  comp_upconvert_low_160_512(b,a);
}


void comp_ext_upconvert_low_192_224(comp_uint224_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_224(b,a);
}


void comp_ext_upconvert_low_192_256(comp_uint256_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_256(b,a);
}


void comp_ext_upconvert_low_192_288(comp_uint288_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_288(b,a);
}


void comp_ext_upconvert_low_192_320(comp_uint320_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_320(b,a);
}


void comp_ext_upconvert_low_192_352(comp_uint352_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_352(b,a);
}


void comp_ext_upconvert_low_192_384(comp_uint384_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_384(b,a);
}


void comp_ext_upconvert_low_192_416(comp_uint416_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_416(b,a);
}


void comp_ext_upconvert_low_192_448(comp_uint448_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_448(b,a);
}


void comp_ext_upconvert_low_192_480(comp_uint480_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_480(b,a);
}


void comp_ext_upconvert_low_192_512(comp_uint512_t * RESTRICT b, comp_uint192_t a) {
  comp_upconvert_low_192_512(b,a);
}


void comp_ext_upconvert_low_224_256(comp_uint256_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_256(b,a);
}


void comp_ext_upconvert_low_224_288(comp_uint288_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_288(b,a);
}


void comp_ext_upconvert_low_224_320(comp_uint320_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_320(b,a);
}


void comp_ext_upconvert_low_224_352(comp_uint352_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_352(b,a);
}


void comp_ext_upconvert_low_224_384(comp_uint384_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_384(b,a);
}


void comp_ext_upconvert_low_224_416(comp_uint416_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_416(b,a);
}


void comp_ext_upconvert_low_224_448(comp_uint448_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_448(b,a);
}


void comp_ext_upconvert_low_224_480(comp_uint480_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_480(b,a);
}


void comp_ext_upconvert_low_224_512(comp_uint512_t * RESTRICT b, comp_uint224_t a) {
  comp_upconvert_low_224_512(b,a);
}


void comp_ext_upconvert_low_256_288(comp_uint288_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_low_256_288(b,a);
}


void comp_ext_upconvert_low_256_320(comp_uint320_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_low_256_320(b,a);
}


void comp_ext_upconvert_low_256_352(comp_uint352_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_low_256_352(b,a);
}


void comp_ext_upconvert_low_256_384(comp_uint384_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_low_256_384(b,a);
}


void comp_ext_upconvert_low_256_416(comp_uint416_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_low_256_416(b,a);
}


void comp_ext_upconvert_low_256_448(comp_uint448_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_low_256_448(b,a);
}


void comp_ext_upconvert_low_256_480(comp_uint480_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_low_256_480(b,a);
}


void comp_ext_upconvert_low_256_512(comp_uint512_t * RESTRICT b, comp_uint256_t a) {
  comp_upconvert_low_256_512(b,a);
}


void comp_ext_upconvert_low_288_320(comp_uint320_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_low_288_320(b,a);
}


void comp_ext_upconvert_low_288_352(comp_uint352_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_low_288_352(b,a);
}


void comp_ext_upconvert_low_288_384(comp_uint384_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_low_288_384(b,a);
}


void comp_ext_upconvert_low_288_416(comp_uint416_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_low_288_416(b,a);
}


void comp_ext_upconvert_low_288_448(comp_uint448_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_low_288_448(b,a);
}


void comp_ext_upconvert_low_288_480(comp_uint480_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_low_288_480(b,a);
}


void comp_ext_upconvert_low_288_512(comp_uint512_t * RESTRICT b, comp_uint288_t a) {
  comp_upconvert_low_288_512(b,a);
}


void comp_ext_upconvert_low_320_352(comp_uint352_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_low_320_352(b,a);
}


void comp_ext_upconvert_low_320_384(comp_uint384_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_low_320_384(b,a);
}


void comp_ext_upconvert_low_320_416(comp_uint416_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_low_320_416(b,a);
}


void comp_ext_upconvert_low_320_448(comp_uint448_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_low_320_448(b,a);
}


void comp_ext_upconvert_low_320_480(comp_uint480_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_low_320_480(b,a);
}


void comp_ext_upconvert_low_320_512(comp_uint512_t * RESTRICT b, comp_uint320_t a) {
  comp_upconvert_low_320_512(b,a);
}


void comp_ext_upconvert_low_352_384(comp_uint384_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_low_352_384(b,a);
}


void comp_ext_upconvert_low_352_416(comp_uint416_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_low_352_416(b,a);
}


void comp_ext_upconvert_low_352_448(comp_uint448_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_low_352_448(b,a);
}


void comp_ext_upconvert_low_352_480(comp_uint480_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_low_352_480(b,a);
}


void comp_ext_upconvert_low_352_512(comp_uint512_t * RESTRICT b, comp_uint352_t a) {
  comp_upconvert_low_352_512(b,a);
}


void comp_ext_upconvert_low_384_416(comp_uint416_t * RESTRICT b, comp_uint384_t a) {
  comp_upconvert_low_384_416(b,a);
}


void comp_ext_upconvert_low_384_448(comp_uint448_t * RESTRICT b, comp_uint384_t a) {
  comp_upconvert_low_384_448(b,a);
}


void comp_ext_upconvert_low_384_480(comp_uint480_t * RESTRICT b, comp_uint384_t a) {
  comp_upconvert_low_384_480(b,a);
}


void comp_ext_upconvert_low_384_512(comp_uint512_t * RESTRICT b, comp_uint384_t a) {
  comp_upconvert_low_384_512(b,a);
}


void comp_ext_upconvert_low_416_448(comp_uint448_t * RESTRICT b, comp_uint416_t a) {
  comp_upconvert_low_416_448(b,a);
}


void comp_ext_upconvert_low_416_480(comp_uint480_t * RESTRICT b, comp_uint416_t a) {
  comp_upconvert_low_416_480(b,a);
}


void comp_ext_upconvert_low_416_512(comp_uint512_t * RESTRICT b, comp_uint416_t a) {
  comp_upconvert_low_416_512(b,a);
}


void comp_ext_upconvert_low_448_480(comp_uint480_t * RESTRICT b, comp_uint448_t a) {
  comp_upconvert_low_448_480(b,a);
}


void comp_ext_upconvert_low_448_512(comp_uint512_t * RESTRICT b, comp_uint448_t a) {
  comp_upconvert_low_448_512(b,a);
}


void comp_ext_upconvert_low_480_512(comp_uint512_t * RESTRICT b, comp_uint480_t a) {
  comp_upconvert_low_480_512(b,a);
}


void comp_ext_shift_right_32(comp_uint32_t * RESTRICT b, comp_uint32_t a, unsigned int k) {
  comp_shift_right_32(b,a,k);
}


void comp_ext_shift_right_64(comp_uint64_t * RESTRICT b, comp_uint64_t a, unsigned int k) {
  comp_shift_right_64(b,a,k);
}


void comp_ext_shift_right_96(comp_uint96_t * RESTRICT b, comp_uint96_t a, unsigned int k) {
  comp_shift_right_96(b,a,k);
}


void comp_ext_shift_right_128(comp_uint128_t * RESTRICT b, comp_uint128_t a, unsigned int k) {
  comp_shift_right_128(b,a,k);
}


void comp_ext_shift_right_160(comp_uint160_t * RESTRICT b, comp_uint160_t a, unsigned int k) {
  comp_shift_right_160(b,a,k);
}


void comp_ext_shift_right_192(comp_uint192_t * RESTRICT b, comp_uint192_t a, unsigned int k) {
  comp_shift_right_192(b,a,k);
}


void comp_ext_shift_right_224(comp_uint224_t * RESTRICT b, comp_uint224_t a, unsigned int k) {
  comp_shift_right_224(b,a,k);
}


void comp_ext_shift_right_256(comp_uint256_t * RESTRICT b, comp_uint256_t a, unsigned int k) {
  comp_shift_right_256(b,a,k);
}


void comp_ext_shift_right_288(comp_uint288_t * RESTRICT b, comp_uint288_t a, unsigned int k) {
  comp_shift_right_288(b,a,k);
}


void comp_ext_shift_right_320(comp_uint320_t * RESTRICT b, comp_uint320_t a, unsigned int k) {
  comp_shift_right_320(b,a,k);
}


void comp_ext_shift_right_352(comp_uint352_t * RESTRICT b, comp_uint352_t a, unsigned int k) {
  comp_shift_right_352(b,a,k);
}


void comp_ext_shift_right_384(comp_uint384_t * RESTRICT b, comp_uint384_t a, unsigned int k) {
  comp_shift_right_384(b,a,k);
}


void comp_ext_shift_right_416(comp_uint416_t * RESTRICT b, comp_uint416_t a, unsigned int k) {
  comp_shift_right_416(b,a,k);
}


void comp_ext_shift_right_448(comp_uint448_t * RESTRICT b, comp_uint448_t a, unsigned int k) {
  comp_shift_right_448(b,a,k);
}


void comp_ext_shift_right_480(comp_uint480_t * RESTRICT b, comp_uint480_t a, unsigned int k) {
  comp_shift_right_480(b,a,k);
}


void comp_ext_shift_right_512(comp_uint512_t * RESTRICT b, comp_uint512_t a, unsigned int k) {
  comp_shift_right_512(b,a,k);
}


void comp_ext_shift_left_32(comp_uint32_t * RESTRICT b, comp_uint32_t a, unsigned int k) {
  comp_shift_left_32(b,a,k);
}


void comp_ext_shift_left_64(comp_uint64_t * RESTRICT b, comp_uint64_t a, unsigned int k) {
  comp_shift_left_64(b,a,k);
}


void comp_ext_shift_left_96(comp_uint96_t * RESTRICT b, comp_uint96_t a, unsigned int k) {
  comp_shift_left_96(b,a,k);
}


void comp_ext_shift_left_128(comp_uint128_t * RESTRICT b, comp_uint128_t a, unsigned int k) {
  comp_shift_left_128(b,a,k);
}


void comp_ext_shift_left_160(comp_uint160_t * RESTRICT b, comp_uint160_t a, unsigned int k) {
  comp_shift_left_160(b,a,k);
}


void comp_ext_shift_left_192(comp_uint192_t * RESTRICT b, comp_uint192_t a, unsigned int k) {
  comp_shift_left_192(b,a,k);
}


void comp_ext_shift_left_224(comp_uint224_t * RESTRICT b, comp_uint224_t a, unsigned int k) {
  comp_shift_left_224(b,a,k);
}


void comp_ext_shift_left_256(comp_uint256_t * RESTRICT b, comp_uint256_t a, unsigned int k) {
  comp_shift_left_256(b,a,k);
}


void comp_ext_shift_left_288(comp_uint288_t * RESTRICT b, comp_uint288_t a, unsigned int k) {
  comp_shift_left_288(b,a,k);
}


void comp_ext_shift_left_320(comp_uint320_t * RESTRICT b, comp_uint320_t a, unsigned int k) {
  comp_shift_left_320(b,a,k);
}


void comp_ext_shift_left_352(comp_uint352_t * RESTRICT b, comp_uint352_t a, unsigned int k) {
  comp_shift_left_352(b,a,k);
}


void comp_ext_shift_left_384(comp_uint384_t * RESTRICT b, comp_uint384_t a, unsigned int k) {
  comp_shift_left_384(b,a,k);
}


void comp_ext_shift_left_416(comp_uint416_t * RESTRICT b, comp_uint416_t a, unsigned int k) {
  comp_shift_left_416(b,a,k);
}


void comp_ext_shift_left_448(comp_uint448_t * RESTRICT b, comp_uint448_t a, unsigned int k) {
  comp_shift_left_448(b,a,k);
}


void comp_ext_shift_left_480(comp_uint480_t * RESTRICT b, comp_uint480_t a, unsigned int k) {
  comp_shift_left_480(b,a,k);
}


void comp_ext_shift_left_512(comp_uint512_t * RESTRICT b, comp_uint512_t a, unsigned int k) {
  comp_shift_left_512(b,a,k);
}

unsigned int comp_ext_leading_zeros_32(comp_uint64_t a) {
  return comp_leading_zeros_32(a);
}

unsigned int __comp_ext_leading_zeros_uint32(uint32_t a) {
  return __comp_leading_zeros_uint32(a);
}

unsigned int comp_ext_leading_zeros_64(comp_uint64_t a) {
  return comp_leading_zeros_64(a);
}

unsigned int __comp_ext_leading_zeros_uint64(uint64_t a) {
  return __comp_leading_zeros_uint64(a);
}

unsigned int comp_ext_leading_zeros_96(comp_uint96_t a) {
  return comp_leading_zeros_96(a);
}

unsigned int comp_ext_leading_zeros_128(comp_uint128_t a) {
  return comp_leading_zeros_128(a);
}

unsigned int __comp_ext_leading_zeros_uint128(__uint128_t a) {
  return __comp_leading_zeros_uint128(a);
}

unsigned int comp_ext_leading_zeros_160(comp_uint160_t a) {
  return comp_leading_zeros_160(a);
}

unsigned int comp_ext_leading_zeros_192(comp_uint192_t a) {
  return comp_leading_zeros_192(a);
}

unsigned int comp_ext_leading_zeros_224(comp_uint224_t a) {
  return comp_leading_zeros_224(a);
}

unsigned int comp_ext_leading_zeros_256(comp_uint256_t a) {
  return comp_leading_zeros_256(a);
}

unsigned int comp_ext_leading_zeros_288(comp_uint288_t a) {
  return comp_leading_zeros_288(a);
}

unsigned int comp_ext_leading_zeros_320(comp_uint320_t a) {
  return comp_leading_zeros_320(a);
}

unsigned int comp_ext_leading_zeros_352(comp_uint352_t a) {
  return comp_leading_zeros_352(a);
}

unsigned int comp_ext_leading_zeros_384(comp_uint384_t a) {
  return comp_leading_zeros_384(a);
}

unsigned int comp_ext_leading_zeros_416(comp_uint416_t a) {
  return comp_leading_zeros_416(a);
}

unsigned int comp_ext_leading_zeros_448(comp_uint448_t a) {
  return comp_leading_zeros_448(a);
}

unsigned int comp_ext_leading_zeros_480(comp_uint480_t a) {
  return comp_leading_zeros_480(a);
}

unsigned int comp_ext_leading_zeros_512(comp_uint512_t a) {
  return comp_leading_zeros_512(a);
}


int comp_ext_sign_32(comp_uint32_t a) {
  return comp_sign_32(a);
}


int comp_ext_sign_64(comp_uint64_t a) {
  return comp_sign_64(a);
}


int comp_ext_sign_96(comp_uint96_t a) {
  return comp_sign_96(a);
}


int comp_ext_sign_128(comp_uint128_t a) {
  return comp_sign_128(a);
}


int comp_ext_sign_160(comp_uint160_t a) {
  return comp_sign_160(a);
}


int comp_ext_sign_192(comp_uint192_t a) {
  return comp_sign_192(a);
}


int comp_ext_sign_224(comp_uint224_t a) {
  return comp_sign_224(a);
}


int comp_ext_sign_256(comp_uint256_t a) {
  return comp_sign_256(a);
}


int comp_ext_sign_288(comp_uint288_t a) {
  return comp_sign_288(a);
}


int comp_ext_sign_320(comp_uint320_t a) {
  return comp_sign_320(a);
}


int comp_ext_sign_352(comp_uint352_t a) {
  return comp_sign_352(a);
}


int comp_ext_sign_384(comp_uint384_t a) {
  return comp_sign_384(a);
}


int comp_ext_sign_416(comp_uint416_t a) {
  return comp_sign_416(a);
}


int comp_ext_sign_448(comp_uint448_t a) {
  return comp_sign_448(a);
}


int comp_ext_sign_480(comp_uint480_t a) {
  return comp_sign_480(a);
}


int comp_ext_sign_512(comp_uint512_t a) {
  return comp_sign_512(a);
}


void comp_ext_add_32(comp_uint32_t * RESTRICT c, comp_uint32_t a, comp_uint32_t b) {
  comp_add_32(c,a,b);
}


void comp_ext_add_64(comp_uint64_t * RESTRICT c, comp_uint64_t a, comp_uint64_t b) {
  comp_add_64(c,a,b);
}


void comp_ext_add_96(comp_uint96_t * RESTRICT c, comp_uint96_t a, comp_uint96_t b) {
  comp_add_96(c,a,b);
}


void comp_ext_add_128(comp_uint128_t * RESTRICT c, comp_uint128_t a, comp_uint128_t b) {
  comp_add_128(c,a,b);
}


void comp_ext_add_160(comp_uint160_t * RESTRICT c, comp_uint160_t a, comp_uint160_t b) {
  comp_add_160(c,a,b);
}


void comp_ext_add_192(comp_uint192_t * RESTRICT c, comp_uint192_t a, comp_uint192_t b) {
  comp_add_192(c,a,b);
}


void comp_ext_add_224(comp_uint224_t * RESTRICT c, comp_uint224_t a, comp_uint224_t b) {
  comp_add_224(c,a,b);
}


void comp_ext_add_256(comp_uint256_t * RESTRICT c, comp_uint256_t a, comp_uint256_t b) {
  comp_add_256(c,a,b);
}


void comp_ext_add_288(comp_uint288_t * RESTRICT c, comp_uint288_t a, comp_uint288_t b) {
  comp_add_288(c,a,b);
}


void comp_ext_add_320(comp_uint320_t * RESTRICT c, comp_uint320_t a, comp_uint320_t b) {
  comp_add_320(c,a,b);
}


void comp_ext_add_352(comp_uint352_t * RESTRICT c, comp_uint352_t a, comp_uint352_t b) {
  comp_add_352(c,a,b);
}


void comp_ext_add_384(comp_uint384_t * RESTRICT c, comp_uint384_t a, comp_uint384_t b) {
  comp_add_384(c,a,b);
}


void comp_ext_add_416(comp_uint416_t * RESTRICT c, comp_uint416_t a, comp_uint416_t b) {
  comp_add_416(c,a,b);
}


void comp_ext_add_448(comp_uint448_t * RESTRICT c, comp_uint448_t a, comp_uint448_t b) {
  comp_add_448(c,a,b);
}


void comp_ext_add_480(comp_uint480_t * RESTRICT c, comp_uint480_t a, comp_uint480_t b) {
  comp_add_480(c,a,b);
}


void comp_ext_add_512(comp_uint512_t * RESTRICT c, comp_uint512_t a, comp_uint512_t b) {
  comp_add_512(c,a,b);
}


void comp_ext_sub_32(comp_uint32_t * RESTRICT c, comp_uint32_t a, comp_uint32_t b) {
  comp_sub_32(c,a,b);
}


void comp_ext_sub_64(comp_uint64_t * RESTRICT c, comp_uint64_t a, comp_uint64_t b) {
  comp_sub_64(c,a,b);
}


void comp_ext_sub_96(comp_uint96_t * RESTRICT c, comp_uint96_t a, comp_uint96_t b) {
  comp_sub_96(c,a,b);
}


void comp_ext_sub_128(comp_uint128_t * RESTRICT c, comp_uint128_t a, comp_uint128_t b) {
  comp_sub_128(c,a,b);
}


void comp_ext_sub_160(comp_uint160_t * RESTRICT c, comp_uint160_t a, comp_uint160_t b) {
  comp_sub_160(c,a,b);
}


void comp_ext_sub_192(comp_uint192_t * RESTRICT c, comp_uint192_t a, comp_uint192_t b) {
  comp_sub_192(c,a,b);
}


void comp_ext_sub_224(comp_uint224_t * RESTRICT c, comp_uint224_t a, comp_uint224_t b) {
  comp_sub_224(c,a,b);
}


void comp_ext_sub_256(comp_uint256_t * RESTRICT c, comp_uint256_t a, comp_uint256_t b) {
  comp_sub_256(c,a,b);
}


void comp_ext_sub_288(comp_uint288_t * RESTRICT c, comp_uint288_t a, comp_uint288_t b) {
  comp_sub_288(c,a,b);
}


void comp_ext_sub_320(comp_uint320_t * RESTRICT c, comp_uint320_t a, comp_uint320_t b) {
  comp_sub_320(c,a,b);
}


void comp_ext_sub_352(comp_uint352_t * RESTRICT c, comp_uint352_t a, comp_uint352_t b) {
  comp_sub_352(c,a,b);
}


void comp_ext_sub_384(comp_uint384_t * RESTRICT c, comp_uint384_t a, comp_uint384_t b) {
  comp_sub_384(c,a,b);
}


void comp_ext_sub_416(comp_uint416_t * RESTRICT c, comp_uint416_t a, comp_uint416_t b) {
  comp_sub_416(c,a,b);
}


void comp_ext_sub_448(comp_uint448_t * RESTRICT c, comp_uint448_t a, comp_uint448_t b) {
  comp_sub_448(c,a,b);
}


void comp_ext_sub_480(comp_uint480_t * RESTRICT c, comp_uint480_t a, comp_uint480_t b) {
  comp_sub_480(c,a,b);
}


void comp_ext_sub_512(comp_uint512_t * RESTRICT c, comp_uint512_t a, comp_uint512_t b) {
  comp_sub_512(c,a,b);
}


void comp_ext_mul_32_32_64(comp_uint64_t * RESTRICT c, comp_uint32_t a, comp_uint32_t b) {
  comp_mul_32_32_64(c,a,b);
}


void comp_ext_mul_32_64_96(comp_uint96_t * RESTRICT c, comp_uint32_t a, comp_uint64_t b) {
  comp_mul_32_64_96(c,a,b);
}


void comp_ext_mul_32_96_128(comp_uint128_t * RESTRICT c, comp_uint32_t a, comp_uint96_t b) {
  comp_mul_32_96_128(c,a,b);
}


void comp_ext_mul_32_128_160(comp_uint160_t * RESTRICT c, comp_uint32_t a, comp_uint128_t b) {
  comp_mul_32_128_160(c,a,b);
}


void comp_ext_mul_32_160_192(comp_uint192_t * RESTRICT c, comp_uint32_t a, comp_uint160_t b) {
  comp_mul_32_160_192(c,a,b);
}


void comp_ext_mul_32_192_224(comp_uint224_t * RESTRICT c, comp_uint32_t a, comp_uint192_t b) {
  comp_mul_32_192_224(c,a,b);
}


void comp_ext_mul_32_224_256(comp_uint256_t * RESTRICT c, comp_uint32_t a, comp_uint224_t b) {
  comp_mul_32_224_256(c,a,b);
}


void comp_ext_mul_32_256_288(comp_uint288_t * RESTRICT c, comp_uint32_t a, comp_uint256_t b) {
  comp_mul_32_256_288(c,a,b);
}


void comp_ext_mul_32_288_320(comp_uint320_t * RESTRICT c, comp_uint32_t a, comp_uint288_t b) {
  comp_mul_32_288_320(c,a,b);
}


void comp_ext_mul_32_320_352(comp_uint352_t * RESTRICT c, comp_uint32_t a, comp_uint320_t b) {
  comp_mul_32_320_352(c,a,b);
}


void comp_ext_mul_32_352_384(comp_uint384_t * RESTRICT c, comp_uint32_t a, comp_uint352_t b) {
  comp_mul_32_352_384(c,a,b);
}


void comp_ext_mul_32_384_416(comp_uint416_t * RESTRICT c, comp_uint32_t a, comp_uint384_t b) {
  comp_mul_32_384_416(c,a,b);
}


void comp_ext_mul_32_416_448(comp_uint448_t * RESTRICT c, comp_uint32_t a, comp_uint416_t b) {
  comp_mul_32_416_448(c,a,b);
}


void comp_ext_mul_32_448_480(comp_uint480_t * RESTRICT c, comp_uint32_t a, comp_uint448_t b) {
  comp_mul_32_448_480(c,a,b);
}


void comp_ext_mul_32_480_512(comp_uint512_t * RESTRICT c, comp_uint32_t a, comp_uint480_t b) {
  comp_mul_32_480_512(c,a,b);
}


void comp_ext_mul_64_32_96(comp_uint96_t * RESTRICT c, comp_uint64_t a, comp_uint32_t b) {
  comp_mul_64_32_96(c,a,b);
}


void comp_ext_mul_64_64_128(comp_uint128_t * RESTRICT c, comp_uint64_t a, comp_uint64_t b) {
  comp_mul_64_64_128(c,a,b);
}


void comp_ext_mul_64_96_160(comp_uint160_t * RESTRICT c, comp_uint64_t a, comp_uint96_t b) {
  comp_mul_64_96_160(c,a,b);
}


void comp_ext_mul_64_128_192(comp_uint192_t * RESTRICT c, comp_uint64_t a, comp_uint128_t b) {
  comp_mul_64_128_192(c,a,b);
}


void comp_ext_mul_64_160_224(comp_uint224_t * RESTRICT c, comp_uint64_t a, comp_uint160_t b) {
  comp_mul_64_160_224(c,a,b);
}


void comp_ext_mul_64_192_256(comp_uint256_t * RESTRICT c, comp_uint64_t a, comp_uint192_t b) {
  comp_mul_64_192_256(c,a,b);
}


void comp_ext_mul_64_224_288(comp_uint288_t * RESTRICT c, comp_uint64_t a, comp_uint224_t b) {
  comp_mul_64_224_288(c,a,b);
}


void comp_ext_mul_64_256_320(comp_uint320_t * RESTRICT c, comp_uint64_t a, comp_uint256_t b) {
  comp_mul_64_256_320(c,a,b);
}


void comp_ext_mul_64_288_352(comp_uint352_t * RESTRICT c, comp_uint64_t a, comp_uint288_t b) {
  comp_mul_64_288_352(c,a,b);
}


void comp_ext_mul_64_320_384(comp_uint384_t * RESTRICT c, comp_uint64_t a, comp_uint320_t b) {
  comp_mul_64_320_384(c,a,b);
}


void comp_ext_mul_64_352_416(comp_uint416_t * RESTRICT c, comp_uint64_t a, comp_uint352_t b) {
  comp_mul_64_352_416(c,a,b);
}


void comp_ext_mul_64_384_448(comp_uint448_t * RESTRICT c, comp_uint64_t a, comp_uint384_t b) {
  comp_mul_64_384_448(c,a,b);
}


void comp_ext_mul_64_416_480(comp_uint480_t * RESTRICT c, comp_uint64_t a, comp_uint416_t b) {
  comp_mul_64_416_480(c,a,b);
}


void comp_ext_mul_64_448_512(comp_uint512_t * RESTRICT c, comp_uint64_t a, comp_uint448_t b) {
  comp_mul_64_448_512(c,a,b);
}


void comp_ext_mul_96_32_128(comp_uint128_t * RESTRICT c, comp_uint96_t a, comp_uint32_t b) {
  comp_mul_96_32_128(c,a,b);
}


void comp_ext_mul_96_64_160(comp_uint160_t * RESTRICT c, comp_uint96_t a, comp_uint64_t b) {
  comp_mul_96_64_160(c,a,b);
}


void comp_ext_mul_96_96_192(comp_uint192_t * RESTRICT c, comp_uint96_t a, comp_uint96_t b) {
  comp_mul_96_96_192(c,a,b);
}


void comp_ext_mul_96_128_224(comp_uint224_t * RESTRICT c, comp_uint96_t a, comp_uint128_t b) {
  comp_mul_96_128_224(c,a,b);
}


void comp_ext_mul_96_160_256(comp_uint256_t * RESTRICT c, comp_uint96_t a, comp_uint160_t b) {
  comp_mul_96_160_256(c,a,b);
}


void comp_ext_mul_96_192_288(comp_uint288_t * RESTRICT c, comp_uint96_t a, comp_uint192_t b) {
  comp_mul_96_192_288(c,a,b);
}


void comp_ext_mul_96_224_320(comp_uint320_t * RESTRICT c, comp_uint96_t a, comp_uint224_t b) {
  comp_mul_96_224_320(c,a,b);
}


void comp_ext_mul_96_256_352(comp_uint352_t * RESTRICT c, comp_uint96_t a, comp_uint256_t b) {
  comp_mul_96_256_352(c,a,b);
}


void comp_ext_mul_96_288_384(comp_uint384_t * RESTRICT c, comp_uint96_t a, comp_uint288_t b) {
  comp_mul_96_288_384(c,a,b);
}


void comp_ext_mul_96_320_416(comp_uint416_t * RESTRICT c, comp_uint96_t a, comp_uint320_t b) {
  comp_mul_96_320_416(c,a,b);
}


void comp_ext_mul_96_352_448(comp_uint448_t * RESTRICT c, comp_uint96_t a, comp_uint352_t b) {
  comp_mul_96_352_448(c,a,b);
}


void comp_ext_mul_96_384_480(comp_uint480_t * RESTRICT c, comp_uint96_t a, comp_uint384_t b) {
  comp_mul_96_384_480(c,a,b);
}


void comp_ext_mul_96_416_512(comp_uint512_t * RESTRICT c, comp_uint96_t a, comp_uint416_t b) {
  comp_mul_96_416_512(c,a,b);
}


void comp_ext_mul_128_32_160(comp_uint160_t * RESTRICT c, comp_uint128_t a, comp_uint32_t b) {
  comp_mul_128_32_160(c,a,b);
}


void comp_ext_mul_128_64_192(comp_uint192_t * RESTRICT c, comp_uint128_t a, comp_uint64_t b) {
  comp_mul_128_64_192(c,a,b);
}


void comp_ext_mul_128_96_224(comp_uint224_t * RESTRICT c, comp_uint128_t a, comp_uint96_t b) {
  comp_mul_128_96_224(c,a,b);
}


void comp_ext_mul_128_128_256(comp_uint256_t * RESTRICT c, comp_uint128_t a, comp_uint128_t b) {
  comp_mul_128_128_256(c,a,b);
}


void comp_ext_mul_128_160_288(comp_uint288_t * RESTRICT c, comp_uint128_t a, comp_uint160_t b) {
  comp_mul_128_160_288(c,a,b);
}


void comp_ext_mul_128_192_320(comp_uint320_t * RESTRICT c, comp_uint128_t a, comp_uint192_t b) {
  comp_mul_128_192_320(c,a,b);
}


void comp_ext_mul_128_224_352(comp_uint352_t * RESTRICT c, comp_uint128_t a, comp_uint224_t b) {
  comp_mul_128_224_352(c,a,b);
}


void comp_ext_mul_128_256_384(comp_uint384_t * RESTRICT c, comp_uint128_t a, comp_uint256_t b) {
  comp_mul_128_256_384(c,a,b);
}


void comp_ext_mul_128_288_416(comp_uint416_t * RESTRICT c, comp_uint128_t a, comp_uint288_t b) {
  comp_mul_128_288_416(c,a,b);
}


void comp_ext_mul_128_320_448(comp_uint448_t * RESTRICT c, comp_uint128_t a, comp_uint320_t b) {
  comp_mul_128_320_448(c,a,b);
}


void comp_ext_mul_128_352_480(comp_uint480_t * RESTRICT c, comp_uint128_t a, comp_uint352_t b) {
  comp_mul_128_352_480(c,a,b);
}


void comp_ext_mul_128_384_512(comp_uint512_t * RESTRICT c, comp_uint128_t a, comp_uint384_t b) {
  comp_mul_128_384_512(c,a,b);
}


void comp_ext_mul_160_32_192(comp_uint192_t * RESTRICT c, comp_uint160_t a, comp_uint32_t b) {
  comp_mul_160_32_192(c,a,b);
}


void comp_ext_mul_160_64_224(comp_uint224_t * RESTRICT c, comp_uint160_t a, comp_uint64_t b) {
  comp_mul_160_64_224(c,a,b);
}


void comp_ext_mul_160_96_256(comp_uint256_t * RESTRICT c, comp_uint160_t a, comp_uint96_t b) {
  comp_mul_160_96_256(c,a,b);
}


void comp_ext_mul_160_128_288(comp_uint288_t * RESTRICT c, comp_uint160_t a, comp_uint128_t b) {
  comp_mul_160_128_288(c,a,b);
}


void comp_ext_mul_160_160_320(comp_uint320_t * RESTRICT c, comp_uint160_t a, comp_uint160_t b) {
  comp_mul_160_160_320(c,a,b);
}


void comp_ext_mul_160_192_352(comp_uint352_t * RESTRICT c, comp_uint160_t a, comp_uint192_t b) {
  comp_mul_160_192_352(c,a,b);
}


void comp_ext_mul_160_224_384(comp_uint384_t * RESTRICT c, comp_uint160_t a, comp_uint224_t b) {
  comp_mul_160_224_384(c,a,b);
}


void comp_ext_mul_160_256_416(comp_uint416_t * RESTRICT c, comp_uint160_t a, comp_uint256_t b) {
  comp_mul_160_256_416(c,a,b);
}


void comp_ext_mul_160_288_448(comp_uint448_t * RESTRICT c, comp_uint160_t a, comp_uint288_t b) {
  comp_mul_160_288_448(c,a,b);
}


void comp_ext_mul_160_320_480(comp_uint480_t * RESTRICT c, comp_uint160_t a, comp_uint320_t b) {
  comp_mul_160_320_480(c,a,b);
}


void comp_ext_mul_160_352_512(comp_uint512_t * RESTRICT c, comp_uint160_t a, comp_uint352_t b) {
  comp_mul_160_352_512(c,a,b);
}


void comp_ext_mul_192_32_224(comp_uint224_t * RESTRICT c, comp_uint192_t a, comp_uint32_t b) {
  comp_mul_192_32_224(c,a,b);
}


void comp_ext_mul_192_64_256(comp_uint256_t * RESTRICT c, comp_uint192_t a, comp_uint64_t b) {
  comp_mul_192_64_256(c,a,b);
}


void comp_ext_mul_192_96_288(comp_uint288_t * RESTRICT c, comp_uint192_t a, comp_uint96_t b) {
  comp_mul_192_96_288(c,a,b);
}


void comp_ext_mul_192_128_320(comp_uint320_t * RESTRICT c, comp_uint192_t a, comp_uint128_t b) {
  comp_mul_192_128_320(c,a,b);
}


void comp_ext_mul_192_160_352(comp_uint352_t * RESTRICT c, comp_uint192_t a, comp_uint160_t b) {
  comp_mul_192_160_352(c,a,b);
}


void comp_ext_mul_192_192_384(comp_uint384_t * RESTRICT c, comp_uint192_t a, comp_uint192_t b) {
  comp_mul_192_192_384(c,a,b);
}


void comp_ext_mul_192_224_416(comp_uint416_t * RESTRICT c, comp_uint192_t a, comp_uint224_t b) {
  comp_mul_192_224_416(c,a,b);
}


void comp_ext_mul_192_256_448(comp_uint448_t * RESTRICT c, comp_uint192_t a, comp_uint256_t b) {
  comp_mul_192_256_448(c,a,b);
}


void comp_ext_mul_192_288_480(comp_uint480_t * RESTRICT c, comp_uint192_t a, comp_uint288_t b) {
  comp_mul_192_288_480(c,a,b);
}


void comp_ext_mul_192_320_512(comp_uint512_t * RESTRICT c, comp_uint192_t a, comp_uint320_t b) {
  comp_mul_192_320_512(c,a,b);
}


void comp_ext_mul_224_32_256(comp_uint256_t * RESTRICT c, comp_uint224_t a, comp_uint32_t b) {
  comp_mul_224_32_256(c,a,b);
}


void comp_ext_mul_224_64_288(comp_uint288_t * RESTRICT c, comp_uint224_t a, comp_uint64_t b) {
  comp_mul_224_64_288(c,a,b);
}


void comp_ext_mul_224_96_320(comp_uint320_t * RESTRICT c, comp_uint224_t a, comp_uint96_t b) {
  comp_mul_224_96_320(c,a,b);
}


void comp_ext_mul_224_128_352(comp_uint352_t * RESTRICT c, comp_uint224_t a, comp_uint128_t b) {
  comp_mul_224_128_352(c,a,b);
}


void comp_ext_mul_224_160_384(comp_uint384_t * RESTRICT c, comp_uint224_t a, comp_uint160_t b) {
  comp_mul_224_160_384(c,a,b);
}


void comp_ext_mul_224_192_416(comp_uint416_t * RESTRICT c, comp_uint224_t a, comp_uint192_t b) {
  comp_mul_224_192_416(c,a,b);
}


void comp_ext_mul_224_224_448(comp_uint448_t * RESTRICT c, comp_uint224_t a, comp_uint224_t b) {
  comp_mul_224_224_448(c,a,b);
}


void comp_ext_mul_224_256_480(comp_uint480_t * RESTRICT c, comp_uint224_t a, comp_uint256_t b) {
  comp_mul_224_256_480(c,a,b);
}


void comp_ext_mul_224_288_512(comp_uint512_t * RESTRICT c, comp_uint224_t a, comp_uint288_t b) {
  comp_mul_224_288_512(c,a,b);
}


void comp_ext_mul_256_32_288(comp_uint288_t * RESTRICT c, comp_uint256_t a, comp_uint32_t b) {
  comp_mul_256_32_288(c,a,b);
}


void comp_ext_mul_256_64_320(comp_uint320_t * RESTRICT c, comp_uint256_t a, comp_uint64_t b) {
  comp_mul_256_64_320(c,a,b);
}


void comp_ext_mul_256_96_352(comp_uint352_t * RESTRICT c, comp_uint256_t a, comp_uint96_t b) {
  comp_mul_256_96_352(c,a,b);
}


void comp_ext_mul_256_128_384(comp_uint384_t * RESTRICT c, comp_uint256_t a, comp_uint128_t b) {
  comp_mul_256_128_384(c,a,b);
}


void comp_ext_mul_256_160_416(comp_uint416_t * RESTRICT c, comp_uint256_t a, comp_uint160_t b) {
  comp_mul_256_160_416(c,a,b);
}


void comp_ext_mul_256_192_448(comp_uint448_t * RESTRICT c, comp_uint256_t a, comp_uint192_t b) {
  comp_mul_256_192_448(c,a,b);
}


void comp_ext_mul_256_224_480(comp_uint480_t * RESTRICT c, comp_uint256_t a, comp_uint224_t b) {
  comp_mul_256_224_480(c,a,b);
}


void comp_ext_mul_256_256_512(comp_uint512_t * RESTRICT c, comp_uint256_t a, comp_uint256_t b) {
  comp_mul_256_256_512(c,a,b);
}


void comp_ext_mul_288_32_320(comp_uint320_t * RESTRICT c, comp_uint288_t a, comp_uint32_t b) {
  comp_mul_288_32_320(c,a,b);
}


void comp_ext_mul_288_64_352(comp_uint352_t * RESTRICT c, comp_uint288_t a, comp_uint64_t b) {
  comp_mul_288_64_352(c,a,b);
}


void comp_ext_mul_288_96_384(comp_uint384_t * RESTRICT c, comp_uint288_t a, comp_uint96_t b) {
  comp_mul_288_96_384(c,a,b);
}


void comp_ext_mul_288_128_416(comp_uint416_t * RESTRICT c, comp_uint288_t a, comp_uint128_t b) {
  comp_mul_288_128_416(c,a,b);
}


void comp_ext_mul_288_160_448(comp_uint448_t * RESTRICT c, comp_uint288_t a, comp_uint160_t b) {
  comp_mul_288_160_448(c,a,b);
}


void comp_ext_mul_288_192_480(comp_uint480_t * RESTRICT c, comp_uint288_t a, comp_uint192_t b) {
  comp_mul_288_192_480(c,a,b);
}


void comp_ext_mul_288_224_512(comp_uint512_t * RESTRICT c, comp_uint288_t a, comp_uint224_t b) {
  comp_mul_288_224_512(c,a,b);
}


void comp_ext_mul_320_32_352(comp_uint352_t * RESTRICT c, comp_uint320_t a, comp_uint32_t b) {
  comp_mul_320_32_352(c,a,b);
}


void comp_ext_mul_320_64_384(comp_uint384_t * RESTRICT c, comp_uint320_t a, comp_uint64_t b) {
  comp_mul_320_64_384(c,a,b);
}


void comp_ext_mul_320_96_416(comp_uint416_t * RESTRICT c, comp_uint320_t a, comp_uint96_t b) {
  comp_mul_320_96_416(c,a,b);
}


void comp_ext_mul_320_128_448(comp_uint448_t * RESTRICT c, comp_uint320_t a, comp_uint128_t b) {
  comp_mul_320_128_448(c,a,b);
}


void comp_ext_mul_320_160_480(comp_uint480_t * RESTRICT c, comp_uint320_t a, comp_uint160_t b) {
  comp_mul_320_160_480(c,a,b);
}


void comp_ext_mul_320_192_512(comp_uint512_t * RESTRICT c, comp_uint320_t a, comp_uint192_t b) {
  comp_mul_320_192_512(c,a,b);
}


void comp_ext_mul_352_32_384(comp_uint384_t * RESTRICT c, comp_uint352_t a, comp_uint32_t b) {
  comp_mul_352_32_384(c,a,b);
}


void comp_ext_mul_352_64_416(comp_uint416_t * RESTRICT c, comp_uint352_t a, comp_uint64_t b) {
  comp_mul_352_64_416(c,a,b);
}


void comp_ext_mul_352_96_448(comp_uint448_t * RESTRICT c, comp_uint352_t a, comp_uint96_t b) {
  comp_mul_352_96_448(c,a,b);
}


void comp_ext_mul_352_128_480(comp_uint480_t * RESTRICT c, comp_uint352_t a, comp_uint128_t b) {
  comp_mul_352_128_480(c,a,b);
}


void comp_ext_mul_352_160_512(comp_uint512_t * RESTRICT c, comp_uint352_t a, comp_uint160_t b) {
  comp_mul_352_160_512(c,a,b);
}


void comp_ext_mul_384_32_416(comp_uint416_t * RESTRICT c, comp_uint384_t a, comp_uint32_t b) {
  comp_mul_384_32_416(c,a,b);
}


void comp_ext_mul_384_64_448(comp_uint448_t * RESTRICT c, comp_uint384_t a, comp_uint64_t b) {
  comp_mul_384_64_448(c,a,b);
}


void comp_ext_mul_384_96_480(comp_uint480_t * RESTRICT c, comp_uint384_t a, comp_uint96_t b) {
  comp_mul_384_96_480(c,a,b);
}


void comp_ext_mul_384_128_512(comp_uint512_t * RESTRICT c, comp_uint384_t a, comp_uint128_t b) {
  comp_mul_384_128_512(c,a,b);
}


void comp_ext_mul_416_32_448(comp_uint448_t * RESTRICT c, comp_uint416_t a, comp_uint32_t b) {
  comp_mul_416_32_448(c,a,b);
}


void comp_ext_mul_416_64_480(comp_uint480_t * RESTRICT c, comp_uint416_t a, comp_uint64_t b) {
  comp_mul_416_64_480(c,a,b);
}


void comp_ext_mul_416_96_512(comp_uint512_t * RESTRICT c, comp_uint416_t a, comp_uint96_t b) {
  comp_mul_416_96_512(c,a,b);
}


void comp_ext_mul_448_32_480(comp_uint480_t * RESTRICT c, comp_uint448_t a, comp_uint32_t b) {
  comp_mul_448_32_480(c,a,b);
}


void comp_ext_mul_448_64_512(comp_uint512_t * RESTRICT c, comp_uint448_t a, comp_uint64_t b) {
  comp_mul_448_64_512(c,a,b);
}


void comp_ext_mul_480_32_512(comp_uint512_t * RESTRICT c, comp_uint480_t a, comp_uint32_t b) {
  comp_mul_480_32_512(c,a,b);
}


