
#include <stdio.h>
#include <stdint.h>

/* Get our constants and types */
#include "comparison.h"

#include <math.h>

/* Compile me with something like 

    icc -xSSE4.2 -O3 -c -o comparison-naive.o comparison-naive.c 

*/

/* This is one of the two possible naive versions for comparing 
   a binary64 and a decimal64.

   It's just a decimal64 comparison after a conversion of the 
   binary value to a decimal64.

   AS A MATTER OF COURSE, THIS NAIVE IMPLEMENTATION IS NOT CORRECT.
*/
int compareSignalingLessEqualBinary64Decimal64(_binary64 x, _Decimal64 y) {
  return (((_Decimal64) x) <= y);
}


/* An empty dummy function in this translation unit for timing purposes */
int emptyFunctionBinary64Decimal64(_binary64 x, _Decimal64 y) {
  return 1;
}
